MODULE PARDIMO

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

!****-------------------------------------------------------------------
!****  CD PARDIMO : PARAMETERS RELATED TO OBSERVATIONS
!****  ----------
!****  Auteurs    : J.PAILLEUX, D.VASILJEVIC, P.CAILLE    90/05-91/09
!****-------------------------------------------------------------------
!*  OBSERVATIONS ARRAYS DIMENSIONS
!*  ------------------------------
!*    JPNOTP  : MAXIMUM NUMBER OF OBSERVATIONS TYPES
!*    JPXTIM  : MAXIMUM NUMBER OF TIME SLOTS
!*
!*  OBSERVATIONS PROCESSING
!*  -----------------------
!*    JPNUMV  : NUMBER OF VARIABLES IN THE ARRAY NVNUMB
!*    JPXSOBT : MAXIMUM NUMBER OF SUB-OBSERVATIONS TYPES
!*    JPXVAR  : MAXIMUM NUMBER OF VARIABLES
!*    JPXAREA : MAXIMUM NUMBER OF AREAS
!*    JPXDEP  : MAXIMUM NUMBER OF ADDITIONAL OBS. DEP.
!*    JPXUPD  : MAXIMUM NUMBER OF UPDATES ALLOWED FOR CMA
!*    JPXDEL  : LEN. OF THE OBS. SEP. LIST FOR SAVING
!*    JPHUBLEV: NUMBER OF DIFFERENT HUBER LAYERS IN THE VERTICAL
!*              (STRATOSPHERE=1,TROPOSPHERE=2,BOUNDARY LAYER=3) 
!*
!****-------------------------------------------------------------------
INTEGER(KIND=JPIM), PARAMETER :: JPNOTP=15
INTEGER(KIND=JPIM), PARAMETER :: JPXTIM=99

INTEGER(KIND=JPIM), PARAMETER :: JPNUMV=98
INTEGER(KIND=JPIM), PARAMETER :: JPXSOBT=3
INTEGER(KIND=JPIM), PARAMETER :: JPXVAR=47
INTEGER(KIND=JPIM), PARAMETER :: JPXAREA=20
INTEGER(KIND=JPIM), PARAMETER :: JPXDEP=100
INTEGER(KIND=JPIM), PARAMETER :: JPXDEL=639
INTEGER(KIND=JPIM), PARAMETER :: JPXUPD=100

INTEGER(KIND=JPIM), PARAMETER :: JPHUBLEV=3
!****-------------------------------------------------------------------
END MODULE PARDIMO
